<div class="grid grid-cols-12 min-h-screen">
  {{template "partials/sidebar" "assessments"}}

  <div id="main">
    <h1 class="text-2xl font-medium mb-7">OZB-aanslagen</h1>

    <div class="relative overflow-x-auto bg-white mb-7">
      <table class="w-full text-left">
        <thead class="text-sm text-gray-700 uppercase bg-white">
          <tr>
            <th scope="col" class="px-4 py-3">
              ID
            </th>
            <th scope="col" class="px-4 py-3">
              Adres
            </th>
            <th scope="col" class="px-4 py-3">
              Gebouw
            </th>
            <th scope="col" class="px-4 py-3">
              Datum
            </th>
            <th scope="col" class="px-4 py-3"></th>
          </tr>
        </thead>
        <tbody>
          {{range .assessments}}
          <tr class="border-t border-slate-200">
            <td class="p-4">
              {{.ID}}
            </td>
            <td class="p-4">
              {{or .AddressLabel "(Onbekend)"}}
            </td>
            <td class="p-4">
              {{or .BuildingID "(Onbekend)"}}
            </td>
            <td class="p-4">
              {{formatYear .CreatedAt}}
            </td>
            <td class="p-4">
              <button class="cursor-pointer p-2 text-slate-400 hover:text-rose-500">
                <a href="/assessments/{{.ID}}/download">
                  <svg class="w-5 h-5" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
                    <path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"
                      stroke-width="2" d="M4 17v2a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2v-2M7 11l5 5l5-5m-5-7v12" />
                  </svg>
                </a>
              </button>
            </td>
          </tr>
          {{else}}
          <tr class="border-t border-slate-200">
            <td class="p-4 text-center" colspan="5">Nog geen OZB-aanslagen gevonden.</td>
          </tr>
          {{end}}
        </tbody>
      </table>
    </div>

    {{template "partials/pagination-prev-next" .pagination}}
  </div>
</div>
